com.trilead.ssh2.channel

## Class ChannelInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.trilead.ssh2.channel.ChannelInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public final class ChannelInputStream
    extends java.io.InputStream

ChannelInputStream.

### Method Summary

Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`